%global gem_name    flexmock
Summary:             Mock object library for ruby
Name:                rubygem-%{gem_name}
Version:             2.3.6
Release:             1
License:             MIT
URL:                 https://github.com/doudou/flexmock
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:             https://github.com/doudou/%{gem_name}/archive/v%{version}.tar.gz
Requires:            ruby(release)
BuildRequires:       ruby(release) rubygems-devel rubygem(minitest) >= 5 rubygem(rspec) >= 3
Requires:            ruby(rubygems)
Provides:            rubygem(%{gem_name}) = %{version}-%{release}
BuildArch:           noarch
%description
FlexMock is a simple, but flexible, mock object library for Ruby unit
testing.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
This package contains documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}
find . -name \*.rb | xargs sed -i -e '\@/usr/bin/env@d'
find . -name \*.gem -or -name \*.rb -or -name \*.rdoc | xargs chmod 0644

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
pushd %{buildroot}%{gem_instdir}
rm -rf \
    .autotest .gitignore .togglerc .travis.yml .yardopts \
    Gemfile \
    Rakefile \
    flexmock.blurb \
    flexmock.gemspec \
    install.rb
popd

%check
pushd .%{gem_instdir}
pwd
ls
tar xf %{SOURCE1}
mv %{gem_name}-%{version}/test .
ruby -Ilib:.:test \
    -e 'Dir.glob("test/*_test.rb").each {|f| require f}'
rspec test/rspec_integration/
popd

%files
%dir    %{gem_instdir}
%doc    %{gem_instdir}/[A-Z]*
%{gem_libdir}
%{gem_instdir}/rakelib/
%exclude    %{gem_cache}
%{gem_spec}

%files help
%{gem_instdir}/todo.txt
%{gem_instdir}/doc/
%{gem_docdir}/

%changelog
* Mon Aug 24 2020 xiezheng <xiezheng4@huawei.com> - 2.3.6-1
- package init
